import { ProjectCard } from "../../islands/ProjectCard.tsx";

export default function Projects() {
  return (
    <div class="space-y-12 px-10 py-8 sm:min-h-screen bg-[#313244]">
      <section
        id="projects"
        class="lg:grid-cols-desktop grid scroll-mt-16 grid-cols-1 gap-x-10 gap-y-4 bg-[#313244] "
      >
        <h1 class="text-3xl text-white font-bold uppercase text-center">
          Projects
        </h1>
        <div class="grid grid-cols-1 sm:grid-cols-2 ">
          <ProjectCard
            wip
            title="Website v2"
            summary="This website was built by yours truly!"
            // repo="https://scm.wyattjmiller.com/wymiller/my-website-v2"
            tech="Typescript, Deno, Fresh, Tailwind, Rust, PostgreSQL, Docker"
          />
          <ProjectCard
            title="BallBot"
            repo="https://scm.wyattjmiller.com/wymiller/ballbot"
            summary="A Discord bot that tells me NFL games, teams, and more!"
            tech="Rust, Discord SDK, Docker"
          />
          <ProjectCard
            title="Nix configurations"
            repo="https://scm.wyattjmiller.com/wymiller/nix-config-v2"
            summary="My 'master' declarative system configuration for multiple computers"
            tech="Nix"
          />
          <ProjectCard
            wip
            title="omega"
            summary="Music bot for Discord that plays music from different music sources"
            tech="Rust, Discord SDK, SurrealDB, yt-dlp"
          />
          <ProjectCard
            title="gt"
            repo="https://scm.wyattjmiller.com/wymiller/gt"
            summary="Command line application to interact with Gitea"
            tech="Rust"
          />
          <ProjectCard
            title="The Boyos Bot"
            repo="https://github.com/NoahFlowa/BoyosBot"
            summary="All-in-one Discord bot, built with my friend, NoahFlowa"
            tech="Javascript, Node, Discord SDK, Docker"
          />
          <ProjectCard
            title="drillsergeant"
            repo="https://scm.wyattjmiller.com/wymiller/drillsergeant"
            summary="Git commit counter, to scratch an itch I had"
            tech="C#, .NET"
          />
          <ProjectCard
            title="bleak"
            repo="https://scm.wyattjmiller.com/wymiller/bleak"
            summary="Turns your Raspberry Pi into a lighting controller"
            tech="Rust"
          />
        </div>
      </section>
    </div>
  );
}
